Bug 1084228 - Hinting for Liberation Sans inferior at small font size
Summary: Hinting for Liberation Sans inferior at small font size
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: 22
Hardware: All
OS: Windows
unspecified
unspecified
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-03 23:19 UTC by Eduard Braun
Modified: 2016-07-19 11:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:17:35 UTC
Type: Bug


Attachments (Terms of Use)
testcase with the problematic font charakteristics (920 bytes, text/html)
2014-04-03 23:19 UTC, Eduard Braun
no flags Details
Screenshot of the inferiorly hinted text rendered with Firefox 28.0 on Windows 7 (4.91 KB, image/png)
2014-04-03 23:19 UTC, Eduard Braun
no flags Details
screenshot-badrender (220.01 KB, image/png)
2015-02-19 14:32 UTC, bull500
no flags Details

Description Eduard Braun 2014-04-03 23:19:17 UTC
Created attachment 882473 [details]
testcase with the problematic font charakteristics

Wikipedia recently switched to a predefined CSS font stack for body font so even Windows users will be served with Liberation Sans if installed (e.g. because it is distributed with Libre Office).

This made apparent inferior hinting of Liberation Sans with bold weight when rendered at the specific size of 0.875em (the font size used in MediaWiki's vector skin).

Most notable "e"s have a very thick lower curve while the upper curve is much too thin. This also applies for variants like "è é ê ë". Funnily not for "œ æ" though which is rendered differently.

Also notable is e.g. "s" which has thick upper/lower curves but is thin in the middle.


A testcase with the described font characteristics set is attached. The screenshot shows the rendering in Firefox.


The screenshot was created with Firefox 28.0 on Windows 7.
The installed version of the Liberation fonts is 2.00.1

Comment 1 Eduard Braun 2014-04-03 23:19:57 UTC
Created attachment 882474 [details]
Screenshot of the inferiorly hinted text rendered with Firefox 28.0 on Windows 7

Comment 2 bull500 2015-02-19 14:32:52 UTC
Created attachment 993639 [details]
screenshot-badrender

The font rendering of Liberation Sans is still horrible in Firefox and LibreOffice on Fedora 21

Comment 3 Pravin Satpute 2015-02-19 15:08:50 UTC
Thank you for update.

Will be very helpful if you can provide version of respective packages. Also if possible steps to reproduce.

Comment 4 bull500 2015-02-19 15:17:51 UTC
(In reply to Pravin Satpute from comment #3)
> Thank you for update.
> 
> Will be very helpful if you can provide version of respective packages. Also
> if possible steps to reproduce.

Requested Info:
liberation-mono-fonts-1.07.4-4.fc21.noarch
liberation-serif-fonts-1.07.4-4.fc21.noarch
liberation-narrow-fonts-1.07.4-4.fc21.noarch
liberation-fonts-common-1.07.4-4.fc21.noarch
liberation-sans-fonts-1.07.4-4.fc21.noarch


Additional Info:
This is a Liberation Sans issue!
Occurs on Fedora 21 too(bug reported is for Fedora 20)
Its reproducible at big and small sizes of the mentioned font.

Steps to Reproduce:
Open up LibreOffice and choose Liberation Sans font and type some content. 
Notice the bad anti aliasing/hinting of the mentioned font at different sizes

Another method:
Visit http://koji.fedoraproject.org/koji/buildinfo?buildID=600771 in Firefox and notice bad rendering when Liberation Sans font is served

Comment 5 bull500 2015-03-14 08:22:25 UTC
Is anything being done about this issue?
Is annoying when this font is used in documents and on the Web on Fedora 21.
I've noticed there's a version 2. Why isn't it being released?

Comment 6 Fedora End Of Life 2015-05-29 11:27:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 bull500 2015-05-30 22:09:09 UTC
Any work on this bug?
Still present in Fedora 22 :(
Could you please change the 'version' if possible?

Packages present in Fedora 22:
liberation-mono-fonts-1.07.4-4.fc22.noarch
liberation-sans-fonts-1.07.4-4.fc22.noarch
liberation-narrow-fonts-1.07.4-4.fc22.noarch
liberation-serif-fonts-1.07.4-4.fc22.noarch
liberation-fonts-common-1.07.4-4.fc22.noarch

Comment 8 Pravin Satpute 2015-06-09 03:38:24 UTC
Unfortunately not any progress yet. Is there any chance for patch?

We can work on evaluating same.

Even if not, i will see if can resolve issues during F22 development cycle.

Comment 9 bull500 2015-06-15 22:39:48 UTC
(In reply to Pravin Satpute from comment #8)
> Unfortunately not any progress yet. Is there any chance for patch?
> 
> We can work on evaluating same.
> 
> Even if not, i will see if can resolve issues during F22 development cycle.

I honestly don't know how to write a patch for these things :/ 
Can contribute my time if someone can guide me through if possible.  

Why not jump onto the next version 2.00? 
https://fedorahosted.org/liberation-fonts/

Comment 10 Pravin Satpute 2015-06-16 04:13:19 UTC
1. Hinting in Liberation one looks like Manually done. That is why its tricky to update.
I will find some guides and update you.

2. Hinting in Liberation 2.00 is done with some automated tools and does not give as sharp output as Liberation1. We tried this switch in particular Fedora version but lots of people complained so decided to switch back.

Conclusion we came up with Liberation 1 and 2 are not compatible for Hinting rules.

Comment 11 Fedora End Of Life 2016-07-19 11:17:35 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.